Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class SSLCertificateApprovalCallback.ValidityItem

    java.lang.Object
      |
      +--org.mozilla.jss.ssl.SSLCertificateApprovalCallback.ValidityItem

Enclosing class:
  SSLCertificateApprovalCallback

public static class SSLCertificateApprovalCallback.ValidityItem
extends java.lang.Object

Field Summary
`private PK11Cert` | `cert`
`private int` | `depth`
`private int` | `reason`

Constructor Summary
`SSLCertificateApprovalCallback.ValidityItem(int reason, PK11Cert cert, int depth)`

Method Summary
`PK11Cert` | `getCert()`
`int` | `getDepth()`
`int` | `getReason()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reason

    private int reason

### depth

    private int depth

### cert

    private PK11Cert cert

Constructor Detail

### SSLCertificateApprovalCallback.ValidityItem

    public SSLCertificateApprovalCallback.ValidityItem(int reason,
                                                       PK11Cert cert,
                                                       int depth)

Method Detail

### getReason

    public int getReason()

  Returns:
    the NSS error code which caused the error - see the list of error codes above for those which could be returned

### getDepth

    public int getDepth()

  Returns:
    the index into the cert chain of the certificate which caused this error. In a chain 5-certs long, 0 is the server-cert. 1,2,3 would be the intermediates, and 4 would be the root

### getCert

    public PK11Cert getCert()

  Returns:
    the certificate associated with this error. You can use the X509Certificate functions to get details such as issuer/subject name, serial number, etc.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD